Apache log4cxx Version @version@

Classes | Namespaces | Macros
mutex.h File Reference

## Classes
class | Mutex

## Namespaces
namespace | log4cxx
namespace | log4cxx::helpers
| We need to double some logic from LOG4CXX_PTR_DEF or else we are unable to override the comparison operator, which we need to properly fix LOGCXX-394.

## Macros
#define | SHARED_MUTEX log4cxx::helpers::Mutex
#define | SHARED_MUTEX_INIT(mutex, p) mutex(p)

## Macro Definition Documentation

## ◆ SHARED_MUTEX

#define SHARED_MUTEX log4cxx::helpers::Mutex

## ◆ SHARED_MUTEX_INIT

#define SHARED_MUTEX_INIT | ( |  | mutex,
|  |  | p
| ) |  | mutex(p)